Issue 1423 darcs add with no arguments should give feedback

Title darcs add with no arguments should give feedback
Priority feature Status resolved
Milestone Resolved in
Superseder Nosy List darcs-devel, dmitry.kurochkin, jaredj, kowey, ndmitchell, thorkilnaur, twb
Assigned To twb
Topics ProbablyEasy, UI

Created on 2009-04-08.16:07:15 by ndmitchell, last changed 2009-08-27.14:16:56 by admin.

msg7606 (view) Author: ndmitchell Date: 2009-04-08.16:07:11
If the darcs add command is invoked without any arguments, it gives no feedback:

$ darcs add

In most cases the user probably intended "darcs add *" or a particular
file, which they forgot. Darcs should warn when no files are given.

Gwern says: Sounds good to me. darcs add --help does say 'Usage: darcs
add [OPTION]... <FILE or DIRECTORY> ...', which seems to me to say
that a file or directory is mandatory.

And in git:

$ git add
Nothing specified, nothing added.
Maybe you wanted to say 'git add .'?
msg7677 (view) Author: twb Date: 2009-04-10.22:48:47
The following patch updated the status of issue1423 to be resolved:

* Resolve issue1423: complain about empty add/remove. 
Ignore-this: 33f0cf72dc6d31e48d6fdda6b1f0883c
Date User Action Args
2009-04-08 16:07:15ndmitchellcreate
2009-04-08 16:13:14koweysetpriority: feature
nosy: + jaredj
topic: + ProbablyEasy, UI
2009-04-09 08:45:56twbsetassignedto: twb
nosy: + twb
2009-04-10 22:48:49twbsetstatus: unread -> resolved
nosy: kowey, ndmitchell, simon, twb, thorkilnaur, jaredj, dmitry.kurochkin
messages: + msg7677
2009-08-25 17:43:10adminsetnosy: + darcs-devel, - simon
2009-08-27 14:16:56adminsetnosy: kowey, darcs-devel, ndmitchell, twb, thorkilnaur, jaredj, dmitry.kurochkin